American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Functions
existingresults.cpp File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <vector>`
`#include "shortratecontinuous.h"`
`#include "shortratediscrete.h"`
`#include "flexibletree/binomial.h"`
`#include "flexibletree/trinomial.h"`
`#include "parameter/constantzeroinitial.h"`
`#include "parameter/constantzeroinitialfinal.h"`
`#include "parameter/integrablebridge.h"`
`#include "parameter/integrableconstant.h"`
`#include "payoff/bullspread.h"`
`#include "payoff/butterfly.h"`
`#include "payoff/callcashunderlying.h"`
`#include "payoff/callphysicalunderlying.h"`
`#include "payoff/callphysical.h"`
`#include "payoff/putcashunderlying.h"`
`#include "payoff/putphysical.h"`
`#include "treeproduct/americanbuyeroptional.h"`
`#include "treeproduct/americanselleroptional.h"`
`#include "treeproduct/europeanbuyeroptional.h"`
`#include "treeproduct/europeanselleroptional.h"`

## Functions
void | BoyleVorst1992 ()
void | EdirsingheNaikUppal1993 ()
void | existingresults ()
void | LohneRudloff2011 ()
void | outputheader ()
void | Palmer2001 ()
void | PerrakisLefoll2004 ()
void | Roux2008 ()
void | RouxTokarzZastawniak2008 ()
void | RouxZastawniak2009 ()
void | TokarzZastawniak2006 ()

## Detailed Description

Implementation of methods in existingresults.h.

## Function Documentation

void BoyleVorst1992 | ( |  | ) |

Boyle, P.P., Vorst, T., Option Replication in Discrete Time with Transaction Costs, The Journal of Finance, 1992, XLVII, 347-382.

void EdirsingheNaikUppal1993 | ( |  | ) |

Edirisinghe, C.; Naik, V. & Uppal, R. Optimal Replication of Options with Transactions Costs and Trading Restrictions The Journal of Financial and Quantitative Analysis, 1993, 28, 117-138.

void existingresults | ( |  | ) |

Catch-all function that compares with all known results.

void LohneRudloff2011 | ( |  | ) |

Lohne, A. & Rudloff, B. An algorithm for calculating the set of superhedging portfolios and strategies in markets with transaction costs 2011.

void outputheader | ( |  | ) |

void Palmer2001 | ( |  | ) |

Palmer, K., A note on the Boyle-Vorst discrete-time option pricing model with transactions costs, Mathematical Finance, 2001, 11, 357-363.

void PerrakisLefoll2004 | ( |  | ) |

Perrakis, S. & Lefoll, J. The American put under transactions costs Journal of Economic Dynamics and Control, 2004, 28, 915-935.

void Roux2008 | ( |  | ) |

Roux, A. Options under transaction costs: Algorithms for pricing and hedging of European and American options under proportional transaction costs and different borrowing and lending rates VDM Verlag, 2008.

void RouxTokarzZastawniak2008 | ( |  | ) |

Roux, A.; Tokarz, K. & Zastawniak, T. Options under Proportional Transaction Costs: An Algorithmic Approach to Pricing and Hedging Acta Applicandae Mathematicae, 2008, 103, 201-219.

void RouxZastawniak2009 | ( |  | ) |

Roux, A. & Zastawniak, T. American Options under Proportional Transaction Costs: Pricing, Hedging and Stopping Algorithms for Long and Short Positions Acta Applicandae Mathematicae, 2009, 106, 199-228.

void TokarzZastawniak2006 | ( |  | ) |

Tokarz, K. & Zastawniak, T. American contingent claims under small proportional transaction costs Journal of Mathematical Economics, 2006, 43, 65-85.

All Classes Namespaces Files Functions Variables Typedefs Defines